/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:Controller.as 3911 2009-06-10 13:27:29Z merisiec $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.eos.monitoring.control
{
import com.adobe.cairngorm.control.FrontController;

import org.ow2.jasmine.monitoring.eos.monitoring.command.*;
import org.ow2.jasmine.monitoring.eos.monitoring.event.MonitoringEvent;

/**
 * Bind a type of command to an action.
 *
 * @author Guillaume Renault
 */
public class Controller extends FrontController {

    /**
    * Create an instance of the controller. Commands are initialized here.
    */
    public function Controller() {
        initialiseCommands();
    }

    /**
    * Add all of the commands to the pool of commands.
    */
    public function initialiseCommands() : void {
        this.addCommand(MonitoringEvent.LOAD_CONF_EVENT, LoadFileCommand);
        this.addCommand(MonitoringEvent.LOAD_DATAS, LoadDatasCommand);
        this.addCommand(MonitoringEvent.LOAD_DATA_BASE, LoadDataBaseCommand);
        this.addCommand(MonitoringEvent.START_MONITORING, StartMonitoringCommand);
        this.addCommand(MonitoringEvent.STOP_MONITORING, StopMonitoringCommand);
    }

}
}
